# Kerstezel client
Client for the Kerstezel server. This project is intended to run on a Raspberry Pi.

## Dependencies
* [BCM2835](https://www.airspayce.com/mikem/bcm2835/) if not built with the SPOOF option. Licensed
  under the GPLv3, which is how this program acquired its license.

## Building
Your standard CMake project

1. `mkdir build && cd build`
2. `cmake ..` or `cmake -DSPOOF ..` to built without the BCM2835 library (which makes this program 
    practically useless, but it may be useful for debugging)
3. `make`
4. `sudo make install`

This project also contains an init script, under the name "init".

## Running
```sh
kerstezel ADDRESS_OF_KERSTEZEL_SERVER KERSTEZEL_SERVER_PORT
```

Note that this program just quits whenever it detects an anomality or the connection to the server
breaks.

The program sends a short pulse over [pin 17](https://pinout.xyz/pinout/pin11_gpio17) when the Santa
should drum.
